#
# spec file for package Botan (Version 1.8.8)
#
# Copyright (c) 2010 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#

# norootforbuild

%define version_suffix 1_8_2

Name:           Botan
Version:        1.8.8
Release:        5
Url:            http://botan.randombit.net
Summary:        A C++ Crypto Library
License:        BSD3c
AutoReqProv:    on
Prefix:         /usr
Group:          Development/Libraries/C and C++
Source:         %{name}-%{version}.tar.bz2
Patch0:         Botan-inttypes.patch
Patch1:         Botan-ull_constants.patch.bz2
Patch2:         Botan-fix_install_paths.patch
Patch3:         botan-1.8.8-binutils_lea_offset.patch
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
Requires:       zlib, bzip2 >= 1.0.2, gmp >= 4.1
BuildRequires:  bzip2 >= 1.0.2 gmp-devel >= 4.1 zlib-devel
BuildRequires:  gcc-c++ gmp-devel libbz2-devel openssl-devel python

%description
Botan is a C++ library that provides support for many common
cryptographic operations, including encryption, authentication, and
X.509v3 certificates and CRLs. A wide variety of algorithms is
supported, including RSA, DSA, DES, AES, MD5, and SHA-1.



Authors:
--------
    Jack Lloyd <lloyd@randombit.net>

%package  -n    libbotan-1_8_2
License:        BSD3c
Summary:        A C++ Crypto Library
Group:          Development/Libraries/C and C++

%description -n libbotan-%{version_suffix}
Botan is a C++ library that provides support for many common
cryptographic operations, including encryption, authentication, and
X.509v3 certificates and CRLs. A wide variety of algorithms is
supported, including RSA, DSA, DES, AES, MD5, and SHA-1.



Authors:
--------
    Jack Lloyd <lloyd@randombit.net>

%package  -n    libbotan-devel
License:        BSD3c
Summary:        Development files for Botan
Group:          Development/Libraries/C and C++
Requires:       libbotan-1_8_2 = %{version}
Requires:       gmp-devel libbz2-devel
Provides:       Botan-devel = %{version}
Obsoletes:      Botan-devel < %{version}
Requires:       libbotan-%{version_suffix} = %{version}
%define botan_docdir %{_defaultdocdir}/%{name}

%description -n libbotan-devel
This package contains the header files and libraries needed to develop
programs that use the Botan library.



Authors:
--------
    Name: Jack Lloyd <lloyd@randombit.net>

%prep
%setup -q
%patch0
%patch1
%patch2
%patch3

%build
export RPM_OPT_FLAGS
%define common_config_flags --libdir=%{_lib} --with-bzip2 --with-zlib --with-gnump --with-openssl
./configure.py --prefix=/usr --libdir=%{_libdir} \
				--docdir=%{_defaultdocdir}/%{name} \
				--includedir=%{_includedir} \
				--with-bzip2 \
				--with-zlib \
				--with-gnump \
				--with-openssl \
				--with-tr1-implementation=system  \
				--cpu=%_target_cpu
make %{?_smp_mflags} WARN_FLAGS="$RPM_OPT_FLAGS"

%install
%makeinstall
mv %{buildroot}/%{botan_docdir}/%{name}-%{version}/* %{buildroot}/%{botan_docdir}/
rm -rf %{buildroot}/usr/share/doc/Botan-%{version}
rm -f %{buildroot}/%{botan_docdir}/fips140.tex
rm -f %{buildroot}/%{_libdir}/libbotan.a

%post -n libbotan-%{version_suffix} -p /sbin/ldconfig

%postun -n libbotan-%{version_suffix} -p /sbin/ldconfig

%files -n libbotan-%{version_suffix}
%defattr(-,root,root)
%docdir %{botan_docdir}
%{botan_docdir}/license.txt
%{botan_docdir}/readme.txt
%{botan_docdir}/log.txt
%{botan_docdir}/thanks.txt
%{botan_docdir}/credits.txt
%{botan_docdir}/pgpkeys.asc
#%{botan_docdir}/info.txt
%{_libdir}/libbotan-*.so

%files -n libbotan-devel
%defattr(-,root,root)
%docdir %{botan_docdir}
%dir %{botan_docdir}
%{botan_docdir}/api.pdf
%{botan_docdir}/api.tex
%{botan_docdir}/tutorial.pdf
%{botan_docdir}/tutorial.tex
%{_libdir}/libbotan.so
%{_libdir}/pkgconfig/botan-1.8.pc
%{_includedir}/botan/
%{_bindir}/botan-config

%changelog
